import { RouteRecordRaw } from 'vue-router';
import HOME from '../modules/home/router';
import AG_GRID_SELECTION from '../modules/ag-grid-selection/router';
import COMPONENTS_EXAMPLE from '../modules/components-example/router';

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      {
        path: '',
        name: 'LaoutIndexPage',
        component: () => import('pages/IndexPage.vue'),
        redirect: '/home',
        children: [...HOME, ...AG_GRID_SELECTION, ...COMPONENTS_EXAMPLE],
      },
    ],
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '/:catchAll(.*)*',
    component: () => import('pages/ErrorNotFound.vue'),
  },
];

export default routes;
